Deprecated Resources
Deprecated meshObject API Endpoints
The tables below list the outdated, deprecated and retired versions of each endpoint.
Deprecated Endpoints
| meshObject | EoL | Deprecation notice | Endpoints |
|---|---|---|---|
| 2027-01-01 | Moved to /api/meshobjects/meshbuildingblockruns/{buildingBlockRun}/artifact, which works the same way. | Download plan artifact of building block run (deprecated), Upload plan artifact of building block run (deprecated) | |
meshPlatform.v1 | Use meshPlatform.v2. | Create platform, Get platform, List platforms, Update platform | |
meshTenant.v3 | Use meshTenant.v4. v4 uses a UUID to identify a meshTenant. | Create tenant, Get tenant, List tenants | |
meshWorkspace.v1 | Use meshWorkspace.v2. | Get workspace, List workspaces |
Retired Endpoints
| meshObject | EoL | Deprecation notice | Endpoints |
|---|---|---|---|
meshCustomer.v1 | 2025-03-01 | Use meshWorkspace. | GET /api/meshobjects/meshcustomers, GET /api/meshobjects/meshcustomers/{customer} |
meshCustomerUserGroup.v1 | 2025-03-01 | Use meshWorkspaceUserGroup. | GET /api/meshobjects/meshcustomerusergroups, GET /api/meshobjects/meshcustomerusergroups/{customerUserGroup} |
meshServiceInstance.v1 | 2025-03-01 | Use meshServiceInstance.v2. v2 is owned by a meshWorkspace. | GET /api/meshobjects/meshserviceinstances, GET /api/meshobjects/meshserviceinstances/{serviceInstance} |
meshUser.v1 | 2025-03-01 | Use meshUser.v2. v2 replaces the meshCustomer links with meshWorkspace links. | GET /api/meshobjects/meshusers, GET /api/meshobjects/meshusers/{user} |
meshPaymentMethod.v1 | 2025-07-01 | Use meshPaymentMethod.v2. v2 is owned by a meshWorkspace. | GET /api/meshobjects/meshpaymentmethods, GET /api/meshobjects/meshpaymentmethods/{paymentMethod} |
meshProject.v1 | 2025-07-01 | Use meshProject.v2. v2 is owned by a meshWorkspace. | GET /api/meshobjects/meshprojects, GET /api/meshobjects/meshprojects/{project} |
meshTenant.v1 | 2025-07-01 | Use meshTenant.v4. Since v3, a meshTenant is owned by a meshWorkspace. | GET /api/meshobjects/meshtenants, GET /api/meshobjects/meshtenants/{tenant} |
meshTenant.v2 | 2025-07-01 | Use meshTenant.v4. Since v3, a meshTenant is owned by a meshWorkspace. | GET /api/meshobjects/meshtenants, GET /api/meshobjects/meshtenants/{tenant} |
Deprecated Metering API Endpoints
Deprecated Endpoints
| meshObject | EoL | Deprecation notice | Endpoints |
|---|---|---|---|
meshChargeback.v1 | 2025-10-01 | Use meshTenantUsageReport.v3 of the meshObject API, which has the same line items for each report. | Get chargeback by period and scope (deprecated), List chargebacks (deprecated) |
meshChargeback.v2 | 2025-10-01 | Use meshTenantUsageReport.v3 of the meshObject API, which has the same line items for each report. | Get chargeback by period and scope (deprecated), List chargebacks (deprecated) |
meshChargeback.v3 | 2025-10-01 | Use meshTenantUsageReport.v3 of the meshObject API, which has the same line items for each report. | Get chargeback by period and scope (deprecated), List chargebacks (deprecated) |
meshTenantUsageReport.v2 | 2025-10-01 | Use meshTenantUsageReport.v3. v3 aggregates line items by seller product group and supports report versioning and cancellation. | Get tenant usage report by tenant and period (deprecated), List tenant usage reports (deprecated) |
meshTenantUsageReport.v3 | 2026-10-01 | Use the same path of the meshObject API at the standard meshStack API base URL. | Get tenant usage report (deprecated), List tenant usage reports (deprecated) |
Retired Endpoints
| meshObject | EoL | Deprecation notice | Endpoints |
|---|---|---|---|
meshTenantUsageReport.v1 | 2025-10-01 | Use meshTenantUsageReport.v3. v3 aggregates line items by seller product group and supports report versioning and cancellation. | GET /api/meshobjects/meshtenantusagereports, GET /api/meshobjects/meshtenantusagereports/{tenantUsageReportTenant}/{tenantUsageReportPeriod} |
Deprecated meshObjects in Declarative Import
The tables below list the meshObject versions of the declarative import that are outdated, deprecated or retired. The import no longer accepts retired versions.
Deprecated meshObjects
| meshObject | EoL | Deprecation notice |
|---|---|---|
meshPaymentMethod.v1 | 2025-07-01 | Use meshPaymentMethod.v2. v2 is owned by a meshWorkspace. |
meshProject.v1 | 2025-07-01 | Use meshProject.v2. v2 is owned by a meshWorkspace. |
meshProjectGroupBinding.v1 | 2025-07-01 | Use meshProjectGroupBinding.v3. v3 adds a metadata.name field and replaces subjects with a single subject. |
meshProjectUserBinding.v1 | 2025-07-01 | Use meshProjectUserBinding.v3. v3 adds a metadata.name field and replaces subjects with a single subject. |
meshServiceInstance.v1 | 2025-07-01 | Use meshServiceInstance.v2. v2 is owned by a meshWorkspace. |
meshTenant.v1 | 2025-07-01 | Use meshTenant.v4. Since v3, a meshTenant is owned by a meshWorkspace. |
meshTenant.v2 | 2025-07-01 | Use meshTenant.v4. Since v3, a meshTenant is owned by a meshWorkspace. |
meshUser.v1 | 2025-07-01 | Use meshUser.v2. v2 replaces the meshCustomer links with meshWorkspace links. |
meshWorkspaceGroupBinding.v1 | 2025-07-01 | Use meshWorkspaceGroupBinding.v2. v2 adds a metadata.name field and replaces subjects with a single subject. |
meshProjectGroupBinding.v2 | Use meshProjectGroupBinding.v3. v3 adds a metadata.name field and replaces subjects with a single subject. | |
meshProjectUserBinding.v2 | Use meshProjectUserBinding.v3. v3 adds a metadata.name field and replaces subjects with a single subject. | |
meshTenant.v3 | Use meshTenant.v4. v4 uses a UUID to identify a meshTenant. | |
meshWorkspace.v1 | Use meshWorkspace.v2. | |
meshWorkspaceUserBinding.v1 | Use meshWorkspaceUserBinding.v2. v2 adds a metadata.name field and replaces subjects with a single subject. |
Retired meshObjects
| meshObject | EoL | Deprecation notice |
|---|---|---|
meshCustomer.v1 | 2025-03-01 | Use meshWorkspace. |
meshCustomerGroupBinding.v1 | 2025-03-01 | Use meshWorkspaceGroupBinding.v2. |
meshCustomerUserBinding.v1 | 2025-03-01 | Use meshWorkspaceUserBinding.v2. |
meshCustomerUserGroup.v1 | 2025-03-01 | Use meshWorkspaceUserGroup. |